flow-gen(1)

NAME
flow-gen — Generate test flows

SYNOPSIS

flow-gen [-h] [-b big|little] [-d debug_level] [-n count] [-V version] [-z z_level]

DESCRIPTION

The flow-gen utility generates a test pattern of flows in any of the currently supported export versions typically for debugging purposes.

OPTIONS

-b big|little
    Byte order of output.

-d debug_level
    Enable debugging.

-h  Display help.

-n count
    Generate count flows. Default 1000.

-V version
    Generate version type exports. Supported versions are:

1    NetFlow version 1 (No sequence numbers, AS, or mask)
5    NetFlow version 5
6    NetFlow version 6 (5+ Encapsulation size)
7    NetFlow version 7 (Catalyst switches)
8.1  NetFlow AS Aggregation
8.2  NetFlow Proto Port Aggregation
8.3  NetFlow Source Prefix Aggregation
8.4  NetFlow Destination Prefix Aggregation
8.5  NetFlow Prefix Aggregation
8.6  NetFlow Destination (Catalyst switches)
8.7  NetFlow Source Destination (Catalyst switches)
8.8  NetFlow Full Flow (Catalyst switches)
8.9  NetFlow ToS AS Aggregation
8.10 NetFlow ToS Proto Port Aggregation
8.11 NetFlow ToS Source Prefix Aggregation
8.12 NetFlow ToS Destination Prefix Aggregation
8.13 NetFlow ToS Prefix Aggregation
8.14 NetFlow ToS Prefix Port Aggregation
1005 Flow-Tools tagged version 5

-z z_level
    Configure compression level to z_level. 0 is disabled (no compression), 9 is highest compression.

EXAMPLES

Generate a test pattern of 1000 version 5 flows and send them in the Cisco NetFlow packet format to 10.0.0.1 port 9500.

flow-gen -V5 | flow-send 0/10.0.0.1/9500

BUGS

The test pattern may change between releases.

AUTHOR

Mark Fullmer maf@splintered.net

SEE ALSO

flow-tools(1)